# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "beet_rsx_macros"
version = "0.0.8"
authors = ["Pete Hayman"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Macros for the beet_rsx crate"
homepage = "https://beetstack.dev"
documentation = "https://docs.rs/beet"
readme = "README.md"
keywords = [
    "folk-technology",
    "web",
    "behavior",
    "game-ai",
    "robotics",
]
categories = [
    "science::robotics",
    "game-development",
    "simulation",
    "wasm",
    "embedded",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/mrchantey/beet"
resolver = "2"

[features]
css = ["beet_parse/css"]

[lib]
name = "beet_rsx_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.beet_core]
version = "0.0.8"
features = ["tokens"]

[dependencies.beet_parse]
version = "0.0.8"

[dependencies.proc-macro2]
version = "1"
features = ["span-locations"]

[dependencies.proc-macro2-diagnostics]
version = "0.10"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = [
    "extra-traits",
    "visit",
    "full",
]

[dev-dependencies.beet_core]
version = "0.0.8"
features = ["testing"]
